Bug 242824 - ftp/curl: wolfssl adhoc patch
Summary: ftp/curl: wolfssl adhoc patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-23 04:49 UTC by takefu
Modified: 2020-01-29 19:20 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
curl-7.67.0_1.patch (6.09 KB, patch)
2019-12-23 04:49 UTC, takefu
no flags Details | Diff
curl-7.67.0_1.patch (581 bytes, patch)
2019-12-24 08:58 UTC, takefu
no flags Details | Diff
curl-7.68.0.patch (419 bytes, patch)
2020-01-28 08:34 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2019-12-23 04:49:11 UTC
Created attachment 210168 [details]
curl-7.67.0_1.patch

It is a patch to make it possible to build limitedly that it was not possible to build after changing to wolfssl-4.3.0.

ports r519806
Comment 1 takefu 2019-12-24 08:58:31 UTC
Created attachment 210195 [details]
curl-7.67.0_1.patch

bug #242853
Comment 2 takefu 2020-01-28 08:34:29 UTC
Created attachment 211123 [details]
curl-7.68.0.patch

Fix it.

Bug #242853
Comment 3 commit-hook freebsd_committer 2020-01-29 19:18:12 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Jan 29 19:17:17 UTC 2020
New revision: 524598
URL: https://svnweb.freebsd.org/changeset/ports/524598

Log:
  Remove BROKEN

  It builds fine with wolfssl 4.3.0.

  PR:		242824
  Submitted by:	Takefu <takefu@airport.fm>

Changes:
  head/ftp/curl/Makefile
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-01-29 19:20:56 UTC
Committed. Thanks!